Last Comment Bug 1098694 - account signup page should allow auto-checking of "choose what to sync" checkbox for sync migration
: account signup page should allow auto-checking of "choose what to sync" check...
Status: RESOLVED FIXED
:
Product: Cloud Services
Classification: Client Software
Component: Server: Firefox Accounts (show other bugs)
: unspecified
: All All
-- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 999910
  Show dependency treegraph
 
Reported: 2014-11-13 19:19 PST by Mark Hammond [:markh]
Modified: 2016-06-02 16:49 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
user.js (1.10 KB, text/javascript)
2014-12-17 10:15 PST, Chris Karlof [:ckarlof]
no flags Details
user.js (1.05 KB, text/javascript)
2014-12-17 11:46 PST, Chris Karlof [:ckarlof]
no flags Details
user.js (1.54 KB, application/x-javascript)
2016-06-02 16:49 PDT, Edouard Oger [:eoger]
no flags Details

Description User image Mark Hammond [:markh] 2014-11-13 19:19:28 PST
When the migration process takes you to about:accounts to create a new account, there should be no checkbox "choose what to sync" as sync is already configured.

So we need some way (query param?) to ask the hosted version of this page to hide that element.
Comment 1 User image Mark Hammond [:markh] 2014-11-23 21:32:52 PST
As a counter-point to this, rnewman suggests we *do* offer the choice of "what to sync" during this process.  From IRC:

11:32 AM <•rnewman> I think the datatype elections will probably be part of setup
11:32 AM <markh> you mean the enabled state of engines?
11:32 AM <•rnewman> yeah
11:32 AM <•rnewman> but not blindly -- if any are false, offer the datatype chooser
11:33 AM <markh> why would Fxa cause the user to change their mind?
11:33 AM <•rnewman> reasoning: Sync f*cks them up, and a few million users will have add-on sync turned off
11:33 AM <markh> oh
11:33 AM <•rnewman> basically this is a "you had these, still want that?" opportunity
11:34 AM <markh> I'm surprised sync screws them by itself, but I shouldn't be :)
11:34 AM <•rnewman> https://bugzilla.mozilla.org/show_bug.cgi?id=692620

So basically he is suggesting we offer the choice of what to sync if anything is currently disabled, as it is possible things are disabled accidentally.

Even if we go that route, we probably still need to remove that "choose what to sync" option.

Ryan, thoughts?
Comment 2 User image Ryan Feeley [:rfeeley] 2014-11-24 08:48:38 PST
In the flow diagram, when the user select Upgrade, I had proposed that we “Import legacy sync settings: Email, choose what to sync state & selections".

More verbosely, what we're recommending is:

1. If the user was syncing all items, that "Choose what to sync" is shown, but unchecked.
2. If the user had previously (un)chosen something, the "Choose what to sync" would shown, but checked. The user would then be re-shown their sync selection upon email verification (that part was not shown in the diagram).
3. The user always has the choice to choose sync datatypes upon verification, or to choose not to choose sync datatypes upon verification. I don't think we should ever hide the "Choose what to sync" checkbox.
Comment 3 User image Mark Hammond [:markh] 2014-11-25 03:19:27 PST
(In reply to Ryan Feeley from comment #2)
> 2. If the user had previously (un)chosen something, the "Choose what to
> sync" would shown, but checked. The user would then be re-shown their sync
> selection upon email verification (that part was not shown in the diagram).

Cool - IIUC, that's exactly what rnewman suggested :)  But that still means we need control over the default state of that checkbox.  Chris, are you able to help with that?  (ie, do we need a github item opened or some other magic etc?)
Comment 4 User image Chris Karlof [:ckarlof] 2014-12-05 15:33:39 PST
https://github.com/mozilla/fxa-content-server/issues/1954
Comment 5 User image Chris Karlof [:ckarlof] 2014-12-17 10:11:56 PST
This is has been fixed in version 0.28 of FxA, which will be deployed to production around Jan 12, 2015. 

PR: https://github.com/mozilla/fxa-content-server/pull/1962
Comment 6 User image Chris Karlof [:ckarlof] 2014-12-17 10:15:06 PST
You can test this now against our "latest" dev environment (https://developer.mozilla.org/en-US/Firefox_Accounts#Latest_development_(updated_continuously_from_master)

I've attached a user.js file for configuring Fx Sync to use this environment.
Comment 7 User image Chris Karlof [:ckarlof] 2014-12-17 10:15:23 PST
Created attachment 8537948 [details]
user.js
Comment 8 User image Chris Karlof [:ckarlof] 2014-12-17 11:46:12 PST
Created attachment 8537996 [details]
user.js
Comment 9 User image Edouard Oger [:eoger] 2016-06-02 16:49:33 PDT
Created attachment 8759426 [details]
user.js

Updated user.js with all the current endpoints.

Note You need to log in before you can comment on or make changes to this bug.